> For the complete documentation index, see [llms.txt](https://docs.silk.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.silk.us/api-reference/endpoints/replication/peer-arrays.md).

# Peer arrays

Replication peers are the remote Silk systems that this system replicates data to or from. You need a peer connection before you can create a replication session.

Use these endpoints to connect to a peer, update its management address or credentials, set its replication bandwidth limits, or remove it.

## GET /replication/peer\_k2arrays

> List replication peers

```json
{"openapi":"3.0.3","info":{"title":"Silk RESTful API","version":"9.5.20"},"tags":[{"name":"Peer arrays","description":"Replication peers are the remote Silk systems that this system replicates data to or from. You need a peer connection before you can create a replication session.\n\nUse these endpoints to connect to a peer, update its management address or credentials, set its replication bandwidth limits, or remove it."}],"servers":[{"url":"https://{host-address}/api/v2","description":"Your Silk Data Pod (SDP)","variables":{"host-address":{"default":"sdp.example.com","description":"Management address of your SDP."}}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication. The server responds only to HTTPS requests. Access to object URLs, operations, and fields depends on the user's role (for example `admin` or `viewer`)."}},"parameters":{"limit":{"name":"__limit","in":"query","schema":{"type":"integer"},"description":"Caps the number of returned entities. Requires a sort parameter when paging."},"offset":{"name":"__offset","in":"query","schema":{"type":"integer"},"description":"Returns results starting from this offset. Requires a sort parameter when paging."},"sort":{"name":"__sort","in":"query","schema":{"type":"string"},"description":"Comma-separated object properties to sort by."},"sort_order":{"name":"__sort_order","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"Sort direction."}},"schemas":{"Collection":{"type":"object","properties":{"hits":{"type":"array","items":{},"description":"The matching objects."},"limit":{"type":"integer","description":"Page size."},"offset":{"type":"integer","description":"Offset of the first returned object."},"total":{"type":"integer","description":"Total number of matching objects."}}},"ReplicationPeerK2arrays":{"type":"object","properties":{"bandwidth_limit":{"type":"integer","description":"Replication bandwidth cap."},"capacity_allocated":{"type":"integer","description":"Allocated capacity on the peer."},"capacity_allocated_snapshots_and_views":{"type":"integer","description":"Allocated capacity attributed to snapshots and views."},"capacity_allocated_volumes":{"type":"integer","description":"Allocated capacity attributed to volumes."},"capacity_free":{"type":"integer","description":"Free capacity on the peer."},"capacity_physical":{"type":"integer","description":"Physical capacity in use."},"capacity_provisioned":{"type":"integer","description":"Total provisioned capacity."},"capacity_provisioned_snapshots":{"type":"integer","description":"Provisioned capacity for snapshots."},"capacity_provisioned_views":{"type":"integer","description":"Provisioned capacity for views."},"capacity_provisioned_volumes":{"type":"integer","description":"Provisioned capacity for volumes."},"capacity_reserved":{"type":"integer","description":"Reserved capacity."},"capacity_total":{"type":"integer","description":"Total capacity reported by the peer."},"id":{"type":"integer","description":"Unique identifier."},"mgmt_connectivity_state":{"type":"string","description":"Current management-channel state, e.g. `ok`."},"mgmt_host":{"type":"string","description":"Management host (IP or DNS name) of the peer."},"name":{"type":"string","description":"Display name of the peer array."},"system_id":{"type":"string","description":"System identifier reported by the peer."},"username":{"type":"string","description":"Username used to authenticate against the peer."}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Readable description of the error."}}}},"responses":{"Error":{"description":"Error. See the **Errors** page for status codes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/replication/peer_k2arrays":{"get":{"tags":["Peer arrays"],"summary":"List replication peers","operationId":"listReplicationPeerK2arrays","parameters":[{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/offset"},{"$ref":"#/components/parameters/sort"},{"$ref":"#/components/parameters/sort_order"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Collection"},{"type":"object","properties":{"hits":{"type":"array","items":{"$ref":"#/components/schemas/ReplicationPeerK2arrays"}}}}]}}}},"default":{"$ref":"#/components/responses/Error"}}}}}}
```

## POST /replication/peer\_k2arrays

> Create replication peer

```json
{"openapi":"3.0.3","info":{"title":"Silk RESTful API","version":"9.5.20"},"tags":[{"name":"Peer arrays","description":"Replication peers are the remote Silk systems that this system replicates data to or from. You need a peer connection before you can create a replication session.\n\nUse these endpoints to connect to a peer, update its management address or credentials, set its replication bandwidth limits, or remove it."}],"servers":[{"url":"https://{host-address}/api/v2","description":"Your Silk Data Pod (SDP)","variables":{"host-address":{"default":"sdp.example.com","description":"Management address of your SDP."}}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication. The server responds only to HTTPS requests. Access to object URLs, operations, and fields depends on the user's role (for example `admin` or `viewer`)."}},"schemas":{"ReplicationPeerK2arrays":{"type":"object","properties":{"bandwidth_limit":{"type":"integer","description":"Replication bandwidth cap."},"capacity_allocated":{"type":"integer","description":"Allocated capacity on the peer."},"capacity_allocated_snapshots_and_views":{"type":"integer","description":"Allocated capacity attributed to snapshots and views."},"capacity_allocated_volumes":{"type":"integer","description":"Allocated capacity attributed to volumes."},"capacity_free":{"type":"integer","description":"Free capacity on the peer."},"capacity_physical":{"type":"integer","description":"Physical capacity in use."},"capacity_provisioned":{"type":"integer","description":"Total provisioned capacity."},"capacity_provisioned_snapshots":{"type":"integer","description":"Provisioned capacity for snapshots."},"capacity_provisioned_views":{"type":"integer","description":"Provisioned capacity for views."},"capacity_provisioned_volumes":{"type":"integer","description":"Provisioned capacity for volumes."},"capacity_reserved":{"type":"integer","description":"Reserved capacity."},"capacity_total":{"type":"integer","description":"Total capacity reported by the peer."},"id":{"type":"integer","description":"Unique identifier."},"mgmt_connectivity_state":{"type":"string","description":"Current management-channel state, e.g. `ok`."},"mgmt_host":{"type":"string","description":"Management host (IP or DNS name) of the peer."},"name":{"type":"string","description":"Display name of the peer array."},"system_id":{"type":"string","description":"System identifier reported by the peer."},"username":{"type":"string","description":"Username used to authenticate against the peer."}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Readable description of the error."}}}},"responses":{"Error":{"description":"Error. See the **Errors** page for status codes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/replication/peer_k2arrays":{"post":{"tags":["Peer arrays"],"summary":"Create replication peer","operationId":"createReplicationPeerK2arrays","responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplicationPeerK2arrays"}}}},"default":{"$ref":"#/components/responses/Error"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","title":"Create replication peer","properties":{"name":{"$ref":"#/components/schemas/ReplicationPeerK2arrays/properties/name"},"mgmt_host":{"$ref":"#/components/schemas/ReplicationPeerK2arrays/properties/mgmt_host"},"username":{"$ref":"#/components/schemas/ReplicationPeerK2arrays/properties/username"},"password":{"type":"string","description":"Password for the peer username."},"local_username":{"type":"string","description":"Username on the local SDP used by the peer to connect back."},"local_password":{"type":"string","description":"Password for the local username."},"bandwidth_limit":{"$ref":"#/components/schemas/ReplicationPeerK2arrays/properties/bandwidth_limit"}},"required":["name","mgmt_host","username","password","local_username","local_password"]}}}}}}}}
```

## GET /replication/peer\_k2arrays/{id}

> Get a replication peer

```json
{"openapi":"3.0.3","info":{"title":"Silk RESTful API","version":"9.5.20"},"tags":[{"name":"Peer arrays","description":"Replication peers are the remote Silk systems that this system replicates data to or from. You need a peer connection before you can create a replication session.\n\nUse these endpoints to connect to a peer, update its management address or credentials, set its replication bandwidth limits, or remove it."}],"servers":[{"url":"https://{host-address}/api/v2","description":"Your Silk Data Pod (SDP)","variables":{"host-address":{"default":"sdp.example.com","description":"Management address of your SDP."}}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication. The server responds only to HTTPS requests. Access to object URLs, operations, and fields depends on the user's role (for example `admin` or `viewer`)."}},"schemas":{"ReplicationPeerK2arrays":{"type":"object","properties":{"bandwidth_limit":{"type":"integer","description":"Replication bandwidth cap."},"capacity_allocated":{"type":"integer","description":"Allocated capacity on the peer."},"capacity_allocated_snapshots_and_views":{"type":"integer","description":"Allocated capacity attributed to snapshots and views."},"capacity_allocated_volumes":{"type":"integer","description":"Allocated capacity attributed to volumes."},"capacity_free":{"type":"integer","description":"Free capacity on the peer."},"capacity_physical":{"type":"integer","description":"Physical capacity in use."},"capacity_provisioned":{"type":"integer","description":"Total provisioned capacity."},"capacity_provisioned_snapshots":{"type":"integer","description":"Provisioned capacity for snapshots."},"capacity_provisioned_views":{"type":"integer","description":"Provisioned capacity for views."},"capacity_provisioned_volumes":{"type":"integer","description":"Provisioned capacity for volumes."},"capacity_reserved":{"type":"integer","description":"Reserved capacity."},"capacity_total":{"type":"integer","description":"Total capacity reported by the peer."},"id":{"type":"integer","description":"Unique identifier."},"mgmt_connectivity_state":{"type":"string","description":"Current management-channel state, e.g. `ok`."},"mgmt_host":{"type":"string","description":"Management host (IP or DNS name) of the peer."},"name":{"type":"string","description":"Display name of the peer array."},"system_id":{"type":"string","description":"System identifier reported by the peer."},"username":{"type":"string","description":"Username used to authenticate against the peer."}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Readable description of the error."}}}},"responses":{"Error":{"description":"Error. See the **Errors** page for status codes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/replication/peer_k2arrays/{id}":{"get":{"tags":["Peer arrays"],"summary":"Get a replication peer","operationId":"getReplicationPeerK2arrays","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplicationPeerK2arrays"}}}},"default":{"$ref":"#/components/responses/Error"}}}}}}
```

## DELETE /replication/peer\_k2arrays/{id}

> Delete a replication peer

```json
{"openapi":"3.0.3","info":{"title":"Silk RESTful API","version":"9.5.20"},"tags":[{"name":"Peer arrays","description":"Replication peers are the remote Silk systems that this system replicates data to or from. You need a peer connection before you can create a replication session.\n\nUse these endpoints to connect to a peer, update its management address or credentials, set its replication bandwidth limits, or remove it."}],"servers":[{"url":"https://{host-address}/api/v2","description":"Your Silk Data Pod (SDP)","variables":{"host-address":{"default":"sdp.example.com","description":"Management address of your SDP."}}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication. The server responds only to HTTPS requests. Access to object URLs, operations, and fields depends on the user's role (for example `admin` or `viewer`)."}},"responses":{"Error":{"description":"Error. See the **Errors** page for status codes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","properties":{"message":{"type":"string","description":"Readable description of the error."}}}}},"paths":{"/replication/peer_k2arrays/{id}":{"delete":{"tags":["Peer arrays"],"summary":"Delete a replication peer","operationId":"deleteReplicationPeerK2arrays","responses":{"204":{"description":"No content"},"default":{"$ref":"#/components/responses/Error"}}}}}}
```

## PATCH /replication/peer\_k2arrays/{id}

> Update replication peer

```json
{"openapi":"3.0.3","info":{"title":"Silk RESTful API","version":"9.5.20"},"tags":[{"name":"Peer arrays","description":"Replication peers are the remote Silk systems that this system replicates data to or from. You need a peer connection before you can create a replication session.\n\nUse these endpoints to connect to a peer, update its management address or credentials, set its replication bandwidth limits, or remove it."}],"servers":[{"url":"https://{host-address}/api/v2","description":"Your Silk Data Pod (SDP)","variables":{"host-address":{"default":"sdp.example.com","description":"Management address of your SDP."}}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication. The server responds only to HTTPS requests. Access to object URLs, operations, and fields depends on the user's role (for example `admin` or `viewer`)."}},"schemas":{"ReplicationPeerK2arrays":{"type":"object","properties":{"bandwidth_limit":{"type":"integer","description":"Replication bandwidth cap."},"capacity_allocated":{"type":"integer","description":"Allocated capacity on the peer."},"capacity_allocated_snapshots_and_views":{"type":"integer","description":"Allocated capacity attributed to snapshots and views."},"capacity_allocated_volumes":{"type":"integer","description":"Allocated capacity attributed to volumes."},"capacity_free":{"type":"integer","description":"Free capacity on the peer."},"capacity_physical":{"type":"integer","description":"Physical capacity in use."},"capacity_provisioned":{"type":"integer","description":"Total provisioned capacity."},"capacity_provisioned_snapshots":{"type":"integer","description":"Provisioned capacity for snapshots."},"capacity_provisioned_views":{"type":"integer","description":"Provisioned capacity for views."},"capacity_provisioned_volumes":{"type":"integer","description":"Provisioned capacity for volumes."},"capacity_reserved":{"type":"integer","description":"Reserved capacity."},"capacity_total":{"type":"integer","description":"Total capacity reported by the peer."},"id":{"type":"integer","description":"Unique identifier."},"mgmt_connectivity_state":{"type":"string","description":"Current management-channel state, e.g. `ok`."},"mgmt_host":{"type":"string","description":"Management host (IP or DNS name) of the peer."},"name":{"type":"string","description":"Display name of the peer array."},"system_id":{"type":"string","description":"System identifier reported by the peer."},"username":{"type":"string","description":"Username used to authenticate against the peer."}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Readable description of the error."}}}},"responses":{"Error":{"description":"Error. See the **Errors** page for status codes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/replication/peer_k2arrays/{id}":{"patch":{"tags":["Peer arrays"],"summary":"Update replication peer","operationId":"updateReplicationPeerK2arrays","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","title":"Update replication peer","properties":{"name":{"$ref":"#/components/schemas/ReplicationPeerK2arrays/properties/name"},"mgmt_host":{"$ref":"#/components/schemas/ReplicationPeerK2arrays/properties/mgmt_host"},"username":{"$ref":"#/components/schemas/ReplicationPeerK2arrays/properties/username"},"password":{"type":"string","description":"Password for the peer username."},"bandwidth_limit":{"$ref":"#/components/schemas/ReplicationPeerK2arrays/properties/bandwidth_limit"},"logical_bandwidth_limit":{"type":"integer","description":"Logical bandwidth cap."},"is_checkpointing_enabled":{"type":"boolean"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReplicationPeerK2arrays"}}}},"default":{"$ref":"#/components/responses/Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.silk.us/api-reference/endpoints/replication/peer-arrays.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
